## gcc-doc-defaults 19

=== debian/changelog ===
gcc-doc-defaults (5:19) unstable; urgency=medium

  * Build gcc-9 docs (gnat is still using gnat-8)
  * d/control.in: Bump Standards-Version to 4.4.0 (no changes needed)
  * d/control.in: drop branch spec from Vcs-Git
  * d/compat: switch to debhelper compat level 12
  * d/control: regenerate
  * d/rules: stop using dpkg-parsechangelog directly

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Tue, 20 Aug 2019 14:31:35 +0300
