=== debian/control ===
Source: gcc-doc-defaults
Section: contrib/doc
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders:
 Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
Build-Depends: debhelper (>= 12),
 dpkg-dev (>= 1.16.1),
 cpp, gfortran, gnat,
 gccgo [alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
 texinfo
Standards-Version: 4.4.0
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/lumag-guest/gcc-doc-defaults
Vcs-Git: https://salsa.debian.org/lumag-guest/gcc-doc-defaults.git

Package: gcc-doc
Architecture: any
Depends: gcc-9-doc (>= 9.2.0-1~), ${misc:Depends}
Replaces: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
Breaks: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
Description: documentation for the GNU compilers (gcc, gobjc, g++)
 This is the dependency package that should install manual pages
 and documentation for Debian default version of GNU compilers.
 .
 This documentation is available from non-free part of Debian archive.

Package: cpp-doc
Architecture: any
Depends: cpp-9-doc (>= 9.2.0-1~), ${misc:Depends}
Replaces: cpp (<< 4:4.1.1-7)
Breaks: cpp (<< 4:4.1.1-7)
Description: documentation for the GNU C preprocessor (cpp)
 This is the dependency package that should install manual page
 and documentation for Debian default version of GNU C preprocessor.
 .
 This documentation is available from non-free part of Debian archive.

Package: gfortran-doc
Architecture: any
Depends: gfortran-9-doc (>= 9.2.0-1~), ${misc:Depends}
Replaces: gfortran (<< 4:4.1.1-7)
Breaks: gfortran (<< 4:4.1.1-7)
Description: documentation for the GNU Fortran Compiler (gfortran)
 This is the dependency package that should install manual page
 and documentation for Debian default version of GNU Fortran compiler.
 .
 This documentation is available from non-free part of Debian archive.

Package: gnat-doc
Architecture: any
Depends: gnat-8-doc (>= 8.3.0-1~), ${misc:Depends}
Description: documentation for the GNU Ada Compiler (gnat)
 This is the dependency package that should install documentation
 for Debian default version of GNU Ada compiler.
 .
 This documentation is available from non-free part of Debian archive.

Package: gccgo-doc
Architecture: alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32
Depends: gccgo-9-doc (>= 9.2.0-1~), ${misc:Depends}
Description: documentation for the GNU Go compiler (gccgo)
 This is the dependency package that should install documentation
 for Debian default version of GNU Go compiler.
 .
 This documentation is available from non-free part of Debian archive.

Package: gcc-doc-base
Architecture: all
Depends: ${misc:Depends}
Description: several GNU manual pages
 This package provides gfdl.7, gpl.7, and fsf-funding.7 manual pages,
 which should be available together with gcc man pages to fit
 GNU Free Documentation License requirements.
