=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
 
 # uncomment for debugging
 # export DH_VERBOSE=1
@@ -15,14 +16,16 @@
 DOC_VER_6   := 6.4.0-1~
 DOC_VER_7   := 7.2.0-1~
 DOC_VER_8   := 8.3.0-1~
+DOC_VER_9   := 9.2.0-1~
 
 # The version for binary packages: gcc-doc-base, gcc-doc, etc.
 # Automatic set debian revision, adapted from gcc-defaults' rules.
 
-VDEF         := $(strip $(shell dpkg-parsechangelog | awk -F' ' '/^Version:/ {print $$NF}'))
-VMAJOR       := $(shell echo $(VDEF) | awk -F: '{print $$2}' | awk -F. '{print $$1}' | awk -F+ '{print $$1}')
+VDEF         := $(DEB_VERSION)
+VMAJOR       := $(shell echo $(VDEF) | sed -e 's/.*:\([0-9]*\).*/\1/g')
+VLOCAL       := $(shell echo $(VDEF) | sed -n -e 's/[^~]*\(~.*\)/\1/;T;p')
 #DEBIAN_EPOCH := 5
-DEBIAN_EPOCH := $(shell echo $(VDEF) | awk -F: '{print $$1}')
+DEBIAN_EPOCH := $(shell echo $(VDEF) | sed -e 's/:.*//g')
 
 #PKG_VER_4.4 := 4.4.7-10
 #PKG_VER_4.6 := 4.6.4-9
@@ -32,18 +35,18 @@
 #PKG_VER_5   := 5.1.0-1
 #PKG_VER_6   := 6.1.0-1
 
-PKG_VER_4.4 := 4.4.7-$(shell expr $(VMAJOR) - 5)
-PKG_VER_4.6 := 4.6.4-$(shell expr $(VMAJOR) - 6)
-PKG_VER_4.7 := 4.7.4-$(shell expr $(VMAJOR) - 10)
-PKG_VER_4.8 := 4.8.4-$(shell expr $(VMAJOR) - 14)
-PKG_VER_4.9 := 4.9.2-$(shell expr $(VMAJOR) - 14)
-PKG_VER_5   := 5.1.0-$(shell expr $(VMAJOR) - 14)
-PKG_VER_6   := 6.4.0-$(shell expr $(VMAJOR) - 16)
-PKG_VER_7   := 7.2.0-$(shell expr $(VMAJOR) - 15)
-PKG_VER_8   := 8.3.0-$(shell expr $(VMAJOR) - 17)
+PKG_VER_4.4 := 4.4.7-$(shell expr $(VMAJOR) - 5)$(VLOCAL)
+PKG_VER_4.6 := 4.6.4-$(shell expr $(VMAJOR) - 6)$(VLOCAL)
+PKG_VER_4.7 := 4.7.4-$(shell expr $(VMAJOR) - 10)$(VLOCAL)
+PKG_VER_4.8 := 4.8.4-$(shell expr $(VMAJOR) - 14)$(VLOCAL)
+PKG_VER_4.9 := 4.9.2-$(shell expr $(VMAJOR) - 14)$(VLOCAL)
+PKG_VER_5   := 5.1.0-$(shell expr $(VMAJOR) - 14)$(VLOCAL)
+PKG_VER_6   := 6.4.0-$(shell expr $(VMAJOR) - 16)$(VLOCAL)
+PKG_VER_7   := 7.2.0-$(shell expr $(VMAJOR) - 15)$(VLOCAL)
+PKG_VER_8   := 8.3.0-$(shell expr $(VMAJOR) - 17)$(VLOCAL)
+PKG_VER_9   := 9.2.0-$(shell expr $(VMAJOR) - 18)$(VLOCAL)
 
-#PKG_VER_BASE := $(PKG_VER_4.9)
-PKG_VER_BASE := $(PKG_VER_8)
+PKG_VER_BASE := $(PKG_VER_9)
 
 # Keep in sync with gcc-defaults, gccgo doesn't exist on all archs
 go_archs = alpha amd64 arm64 armel armhf i386 ia64 \
@@ -157,6 +160,7 @@
 	# VDEF      <$(VDEF)>
 	# EPOCH     <$(DEBIAN_EPOCH)>
 	# VMAJOR    <$(VMAJOR)>
+	# VLOCAL    <$(VLOCAL)>
 	# cpp       $(CPP_VER)
 	# gcc       $(GCC_VER)
 	# gfortran  $(GFORTRAN_VER)
@@ -172,5 +176,6 @@
 	# pkg-ver   $(PKG_VER_6)
 	# pkg-ver   $(PKG_VER_7)
 	# pkg-ver   $(PKG_VER_8)
+	# pkg-ver   $(PKG_VER_9)
 
 .PHONY: show-versions
