## gcc-doc-defaults 21

=== debian/changelog ===
gcc-doc-defaults (5:21) unstable; urgency=medium

  * Build gcc-10 docs (gnat is still using gnat-9) (Closes: #966126)
  * d/rules: drop remnants of gcj support
  * d/rules: fix override_dh_installdocs-indep target name

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Fri, 31 Jul 2020 13:54:18 +0300

gcc-doc-defaults (5:20) unstable; urgency=medium

  * d/control.in: update my surname
  * d/control: renegerate
  * Follow gnat switching from gnat-8 to gnat-9.

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Sun, 08 Mar 2020 23:59:16 +0300
