=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders:
- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
+ Dmitry Baryshkov <dbaryshkov@gmail.com>
 Build-Depends: debhelper (>= 12),
  dpkg-dev (>= 1.16.1),
  cpp, gfortran, gnat,
@@ -16,7 +16,7 @@
 
 Package: gcc-doc
 Architecture: any
-Depends: gcc-9-doc (>= 9.2.0-1~), ${misc:Depends}
+Depends: gcc-10-doc (>= 10.1.0-1~), ${misc:Depends}
 Replaces: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
 Breaks: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
 Description: documentation for the GNU compilers (gcc, gobjc, g++)
@@ -27,7 +27,7 @@
 
 Package: cpp-doc
 Architecture: any
-Depends: cpp-9-doc (>= 9.2.0-1~), ${misc:Depends}
+Depends: cpp-10-doc (>= 10.1.0-1~), ${misc:Depends}
 Replaces: cpp (<< 4:4.1.1-7)
 Breaks: cpp (<< 4:4.1.1-7)
 Description: documentation for the GNU C preprocessor (cpp)
@@ -38,7 +38,7 @@
 
 Package: gfortran-doc
 Architecture: any
-Depends: gfortran-9-doc (>= 9.2.0-1~), ${misc:Depends}
+Depends: gfortran-10-doc (>= 10.1.0-1~), ${misc:Depends}
 Replaces: gfortran (<< 4:4.1.1-7)
 Breaks: gfortran (<< 4:4.1.1-7)
 Description: documentation for the GNU Fortran Compiler (gfortran)
@@ -49,7 +49,7 @@
 
 Package: gnat-doc
 Architecture: any
-Depends: gnat-8-doc (>= 8.3.0-1~), ${misc:Depends}
+Depends: gnat-9-doc (>= 9.2.0-1~), ${misc:Depends}
 Description: documentation for the GNU Ada Compiler (gnat)
  This is the dependency package that should install documentation
  for Debian default version of GNU Ada compiler.
@@ -58,7 +58,7 @@
 
 Package: gccgo-doc
 Architecture: alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32
-Depends: gccgo-9-doc (>= 9.2.0-1~), ${misc:Depends}
+Depends: gccgo-10-doc (>= 10.1.0-1~), ${misc:Depends}
 Description: documentation for the GNU Go compiler (gccgo)
  This is the dependency package that should install documentation
  for Debian default version of GNU Go compiler.
