=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 DOC_VER_7   := 7.2.0-1~
 DOC_VER_8   := 8.3.0-1~
 DOC_VER_9   := 9.2.0-1~
+DOC_VER_10   := 10.1.0-1~
 
 # The version for binary packages: gcc-doc-base, gcc-doc, etc.
 # Automatic set debian revision, adapted from gcc-defaults' rules.
@@ -45,8 +46,9 @@
 PKG_VER_7   := 7.2.0-$(shell expr $(VMAJOR) - 15)$(VLOCAL)
 PKG_VER_8   := 8.3.0-$(shell expr $(VMAJOR) - 17)$(VLOCAL)
 PKG_VER_9   := 9.2.0-$(shell expr $(VMAJOR) - 18)$(VLOCAL)
+PKG_VER_10   := 10.1.0-$(shell expr $(VMAJOR) - 20)$(VLOCAL)
 
-PKG_VER_BASE := $(PKG_VER_9)
+PKG_VER_BASE := $(PKG_VER_10)
 
 # Keep in sync with gcc-defaults, gccgo doesn't exist on all archs
 go_archs = alpha amd64 arm64 armel armhf i386 ia64 \
@@ -58,7 +60,7 @@
   no_packages += gccgo
 endif
 
-BASES_ALL := cpp gcc gfortran gnat gcj gccgo
+BASES_ALL := cpp gcc gfortran gnat gccgo
 BASES := $(filter-out $(no_packages), $(BASES_ALL))
 GENFILES := $(patsubst %,debian/%-doc.links, $(BASES))
 
@@ -84,7 +86,6 @@
 GCC_DEP_VER := gcc-$(GCC_VER)-doc (>= $(DOC_VER_$(GCC_VER)))
 GFORTRAN_DEP_VER := gfortran-$(GFORTRAN_VER)-doc (>= $(DOC_VER_$(GFORTRAN_VER)))
 GNAT_DEP_VER := gnat-$(GNAT_VER)-doc (>= $(DOC_VER_$(GNAT_VER)))
-GCJ_DEP_VER := gcj-$(GCJ_VER)-doc (>= $(DOC_VER_$(GCJ_VER)))
 ifneq (,$(filter $(DEB_HOST_ARCH),$(go_archs)))
   GCCGO_DEP_VER := gccgo-$(GCCGO_VER)-doc (>= $(DOC_VER_$(GCCGO_VER)))
 endif
@@ -142,7 +143,7 @@
 override_dh_installdocs-arch:
 	dh_installdocs -a -Ngcc-doc-base -A debian/README
 
-ovverride_dh_installdocs-indep:
+override_dh_installdocs-indep:
 	dh_installdocs -pgcc-doc-base
 	dh_installdocs -i --remaining-packages -A debian/README
 
@@ -165,7 +166,6 @@
 	# gcc       $(GCC_VER)
 	# gfortran  $(GFORTRAN_VER)
 	# gnat      $(GNAT_VER)
-	# gcj       $(GCJ_VER)
 	# gccgo     $(GCCGO_VER)
 	# pkg-ver   $(PKG_VER_4.4)
 	# pkg-ver   $(PKG_VER_4.6)
@@ -177,5 +177,6 @@
 	# pkg-ver   $(PKG_VER_7)
 	# pkg-ver   $(PKG_VER_8)
 	# pkg-ver   $(PKG_VER_9)
+	# pkg-ver   $(PKG_VER_10)
 
 .PHONY: show-versions
