## gcc-doc-defaults 25

=== debian/changelog ===
gcc-doc-defaults (5:25) unstable; urgency=medium

  * d/rules: Build using GCC 12
  * d/control: regen using gcc-12

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Thu, 04 Aug 2022 13:40:05 +0300

gcc-doc-defaults (5:24) unstable; urgency=medium

  * d/*.lintian-overrides: fix the spare-manual-page tags
  * d/control.in: bump Standards-Version to 4.6.1.0, no changes needed
  * d/control: regen
  * Follow gnat switching from gnat-10 to gnat-11.

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Tue, 19 Jul 2022 23:15:53 +0300

gcc-doc-defaults (5:23) unstable; urgency=medium

  * Build using gcc-11 (gnat is still using gnat-10) (Closes: #998233)

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Wed, 10 Nov 2021 13:56:26 +0300

gcc-doc-defaults (5:22) unstable; urgency=medium

  * d/rules: refref arch list: drop powerpcspe, update mips
  * d/control.in: bump Standards-Version to 4.6.0.1, no changes needed
  * d/*.lintian-overrides: refresh overrides
  * d/control: regenerate
  * Follow gnat switching from gnat-9 to gnat-10.

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Mon, 27 Sep 2021 12:56:34 +0300
