=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 DOC_VER_8   := 8.3.0-1~
 DOC_VER_9   := 9.2.0-1~
 DOC_VER_10   := 10.1.0-1~
+DOC_VER_11   := 11.2.0-1~
+DOC_VER_12   := 12.1.0-1~
 
 # The version for binary packages: gcc-doc-base, gcc-doc, etc.
 # Automatic set debian revision, adapted from gcc-defaults' rules.
@@ -47,13 +49,16 @@
 PKG_VER_8   := 8.3.0-$(shell expr $(VMAJOR) - 17)$(VLOCAL)
 PKG_VER_9   := 9.2.0-$(shell expr $(VMAJOR) - 18)$(VLOCAL)
 PKG_VER_10   := 10.1.0-$(shell expr $(VMAJOR) - 20)$(VLOCAL)
+PKG_VER_11   := 11.2.0-$(shell expr $(VMAJOR) - 22)$(VLOCAL)
+PKG_VER_12   := 12.1.0-$(shell expr $(VMAJOR) - 24)$(VLOCAL)
 
-PKG_VER_BASE := $(PKG_VER_10)
+PKG_VER_BASE := $(PKG_VER_12)
 
 # Keep in sync with gcc-defaults, gccgo doesn't exist on all archs
+all_archs_mips = mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
 go_archs = alpha amd64 arm64 armel armhf i386 ia64 \
-        mips mips64 mips64el mipsel \
-        powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32
+        $(all_archs_mips) \
+        powerpc ppc64 ppc64el s390 s390x sparc sparc64 x32
 
 no_packages :=
 ifeq (,$(filter $(DEB_HOST_ARCH),$(go_archs)))
@@ -178,5 +183,7 @@
 	# pkg-ver   $(PKG_VER_8)
 	# pkg-ver   $(PKG_VER_9)
 	# pkg-ver   $(PKG_VER_10)
+	# pkg-ver   $(PKG_VER_11)
+	# pkg-ver   $(PKG_VER_12)
 
 .PHONY: show-versions
