## gcc-doc-defaults 26

=== debian/changelog ===
gcc-doc-defaults (5:26) unstable; urgency=medium

  * d/control: Follow GNAT switch from 11 to 12
  * d/rules: switch to gcc-doc 12.2.0
  * d/control: regen
  * d/control.in: bump Standards-Version to 4.6.2.0, no changes needed

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Thu, 23 Feb 2023 02:46:08 +0200
