=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  cpp, gfortran, gnat,
  gccgo [alpha amd64 arm64 armel armhf i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc ppc64 ppc64el s390 s390x sparc sparc64 x32],
  texinfo
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2.0
 Homepage: http://gcc.gnu.org/
 Vcs-Browser: https://salsa.debian.org/lumag-guest/gcc-doc-defaults
 Vcs-Git: https://salsa.debian.org/lumag-guest/gcc-doc-defaults.git
 
 Package: gcc-doc
 Architecture: any
-Depends: gcc-12-doc (>= 12.1.0-1~), ${misc:Depends}
+Depends: gcc-12-doc (>= 12.2.0-1~), ${misc:Depends}
 Replaces: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
 Breaks: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
 Description: documentation for the GNU compilers (gcc, gobjc, g++)
@@ -27,7 +27,7 @@
 
 Package: cpp-doc
 Architecture: any
-Depends: cpp-12-doc (>= 12.1.0-1~), ${misc:Depends}
+Depends: cpp-12-doc (>= 12.2.0-1~), ${misc:Depends}
 Replaces: cpp (<< 4:4.1.1-7)
 Breaks: cpp (<< 4:4.1.1-7)
 Description: documentation for the GNU C preprocessor (cpp)
@@ -38,7 +38,7 @@
 
 Package: gfortran-doc
 Architecture: any
-Depends: gfortran-12-doc (>= 12.1.0-1~), ${misc:Depends}
+Depends: gfortran-12-doc (>= 12.2.0-1~), ${misc:Depends}
 Replaces: gfortran (<< 4:4.1.1-7)
 Breaks: gfortran (<< 4:4.1.1-7)
 Description: documentation for the GNU Fortran Compiler (gfortran)
@@ -49,7 +49,7 @@
 
 Package: gnat-doc
 Architecture: any
-Depends: gnat-11-doc (>= 11.2.0-1~), ${misc:Depends}
+Depends: gnat-12-doc (>= 12.2.0-1~), ${misc:Depends}
 Description: documentation for the GNU Ada Compiler (gnat)
  This is the dependency package that should install documentation
  for Debian default version of GNU Ada compiler.
@@ -58,7 +58,7 @@
 
 Package: gccgo-doc
 Architecture: alpha amd64 arm64 armel armhf i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc ppc64 ppc64el s390 s390x sparc sparc64 x32
-Depends: gccgo-12-doc (>= 12.1.0-1~), ${misc:Depends}
+Depends: gccgo-12-doc (>= 12.2.0-1~), ${misc:Depends}
 Description: documentation for the GNU Go compiler (gccgo)
  This is the dependency package that should install documentation
  for Debian default version of GNU Go compiler.
