=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 DOC_VER_9   := 9.2.0-1~
 DOC_VER_10   := 10.1.0-1~
 DOC_VER_11   := 11.2.0-1~
-DOC_VER_12   := 12.1.0-1~
+DOC_VER_12   := 12.2.0-1~
 
 # The version for binary packages: gcc-doc-base, gcc-doc, etc.
 # Automatic set debian revision, adapted from gcc-defaults' rules.
@@ -50,7 +50,7 @@
 PKG_VER_9   := 9.2.0-$(shell expr $(VMAJOR) - 18)$(VLOCAL)
 PKG_VER_10   := 10.1.0-$(shell expr $(VMAJOR) - 20)$(VLOCAL)
 PKG_VER_11   := 11.2.0-$(shell expr $(VMAJOR) - 22)$(VLOCAL)
-PKG_VER_12   := 12.1.0-$(shell expr $(VMAJOR) - 24)$(VLOCAL)
+PKG_VER_12   := 12.2.0-$(shell expr $(VMAJOR) - 25)$(VLOCAL)
 
 PKG_VER_BASE := $(PKG_VER_12)
