## gcc-doc-defaults 27

=== debian/changelog ===
gcc-doc-defaults (5:27) unstable; urgency=medium

  * d/control: remove -guest from Salsa URLs
  * d/rules: add riscv64 to go_archs to sync with gcc-defaults
  * d/rules: Build using GCC 13 (Closes: #1042960)
  * d/control: regen using GCC 13

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Fri, 04 Aug 2023 13:56:04 +0300
