=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 DOC_VER_10   := 10.1.0-1~
 DOC_VER_11   := 11.2.0-1~
 DOC_VER_12   := 12.2.0-1~
+DOC_VER_13   := 13.1.0-1~
 
 # The version for binary packages: gcc-doc-base, gcc-doc, etc.
 # Automatic set debian revision, adapted from gcc-defaults' rules.
@@ -30,14 +31,8 @@
 #DEBIAN_EPOCH := 5
 DEBIAN_EPOCH := $(shell echo $(VDEF) | sed -e 's/:.*//g')
 
-#PKG_VER_4.4 := 4.4.7-10
-#PKG_VER_4.6 := 4.6.4-9
-#PKG_VER_4.7 := 4.7.4-5
-#PKG_VER_4.8 := 4.8.4-1
-#PKG_VER_4.9 := 4.9.2-1
-#PKG_VER_5   := 5.1.0-1
-#PKG_VER_6   := 6.1.0-1
-
+# when adding new version, set the sustracted value to the version of
+# the latest released gcc-doc-defaults package.
 PKG_VER_4.4 := 4.4.7-$(shell expr $(VMAJOR) - 5)$(VLOCAL)
 PKG_VER_4.6 := 4.6.4-$(shell expr $(VMAJOR) - 6)$(VLOCAL)
 PKG_VER_4.7 := 4.7.4-$(shell expr $(VMAJOR) - 10)$(VLOCAL)
@@ -51,14 +46,15 @@
 PKG_VER_10   := 10.1.0-$(shell expr $(VMAJOR) - 20)$(VLOCAL)
 PKG_VER_11   := 11.2.0-$(shell expr $(VMAJOR) - 22)$(VLOCAL)
 PKG_VER_12   := 12.2.0-$(shell expr $(VMAJOR) - 25)$(VLOCAL)
+PKG_VER_13   := 13.1.0-$(shell expr $(VMAJOR) - 26)$(VLOCAL)
 
-PKG_VER_BASE := $(PKG_VER_12)
+PKG_VER_BASE := $(PKG_VER_13)
 
 # Keep in sync with gcc-defaults, gccgo doesn't exist on all archs
 all_archs_mips = mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
 go_archs = alpha amd64 arm64 armel armhf i386 ia64 \
         $(all_archs_mips) \
-        powerpc ppc64 ppc64el s390 s390x sparc sparc64 x32
+        powerpc ppc64 ppc64el riscv64 s390 s390x sparc sparc64 x32
 
 no_packages :=
 ifeq (,$(filter $(DEB_HOST_ARCH),$(go_archs)))
