## gcc-doc-defaults 28

=== debian/changelog ===
gcc-doc-defaults (5:28) unstable; urgency=medium

  * d/rules: build using GCC 14 (Closes: #1078158)
  * d/control: regen using GCC 14 as defaults
  * d/control.in: Bump Standards-Version to 4.7.0 (no changes needed)

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Fri, 30 Aug 2024 12:16:05 +0300
