=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 DOC_VER_11   := 11.2.0-1~
 DOC_VER_12   := 12.2.0-1~
 DOC_VER_13   := 13.1.0-1~
+DOC_VER_14   := 14.2.0-1~
 
 # The version for binary packages: gcc-doc-base, gcc-doc, etc.
 # Automatic set debian revision, adapted from gcc-defaults' rules.
@@ -47,8 +48,9 @@
 PKG_VER_11   := 11.2.0-$(shell expr $(VMAJOR) - 22)$(VLOCAL)
 PKG_VER_12   := 12.2.0-$(shell expr $(VMAJOR) - 25)$(VLOCAL)
 PKG_VER_13   := 13.1.0-$(shell expr $(VMAJOR) - 26)$(VLOCAL)
+PKG_VER_14   := 14.2.0-$(shell expr $(VMAJOR) - 27)$(VLOCAL)
 
-PKG_VER_BASE := $(PKG_VER_13)
+PKG_VER_BASE := $(PKG_VER_14)
 
 # Keep in sync with gcc-defaults, gccgo doesn't exist on all archs
 all_archs_mips = mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
@@ -181,5 +183,7 @@
 	# pkg-ver   $(PKG_VER_10)
 	# pkg-ver   $(PKG_VER_11)
 	# pkg-ver   $(PKG_VER_12)
+	# pkg-ver   $(PKG_VER_13)
+	# pkg-ver   $(PKG_VER_14)
 
 .PHONY: show-versions
